summaryrefslogtreecommitdiffstats
path: root/deps/wayland-protocols
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-10-24 15:27:51 +0200
committer Eric Hameleers <alien@slackware.com>2017-10-24 15:27:51 +0200
commit243061bcff66bc5491300110fd4e4866bbdf0636 (patch)
tree48ac636fc61c5a9b828121d395a281143ef28217 /deps/wayland-protocols
parent8f70227ae78ea478d8e382b2fc8dd1c0ec29accc (diff)
downloadktown-243061bcff66bc5491300110fd4e4866bbdf0636.tar.gz
ktown-243061bcff66bc5491300110fd4e4866bbdf0636.tar.xz
Add wayland support (not enabled in regular repo)
In an attempt to keep a single source tree for both 'latest' and 'testing' repositories, everything to support a Plasma5 Wayland session was added. This was made possible *without* the need for PAM or systemd because the ConsoleKit2 and KWin developers cooperated (on my request :-) to add the logind DBus API to CK2 and make KWin accept CK2 as an alternative to systemd-logind if the latter is not present. Note that this requires recompilation of two stock Slackware packages, mesa and xorg-server, to let them gain Wayland support. Build order: Deps: - ConsoleKit2 - wayland and wayland-protocols - mesa - xorg-server - libxkbcommon - qt5 Frameworks: - kwayland - plasma-framework Plasma; - kinfocenter - kscreenlocker - kwayland-integration - libkscreen2 - plasma-desktop - plasma-integration - plasma-workspace - powerdevil - kwin In order to start a Wayland session (you'll need to use packages from the 'testing' repository) either run 'startkwayland' from your console prompt in runlevel 3, or choose the "Plasma (Wayland)" session in the SDDM dropdown if you are booting into runlevel 4.
Diffstat (limited to 'deps/wayland-protocols')
-rw-r--r--deps/wayland-protocols/.url3
-rw-r--r--deps/wayland-protocols/slack-desc19
-rwxr-xr-xdeps/wayland-protocols/wayland-protocols.SlackBuild137
3 files changed, 159 insertions, 0 deletions
diff --git a/deps/wayland-protocols/.url b/deps/wayland-protocols/.url
new file mode 100644
index 0000000..739ffdc
--- /dev/null
+++ b/deps/wayland-protocols/.url
@@ -0,0 +1,3 @@
+https://wayland.freedesktop.org/releases/wayland-protocols-1.11.tar.xz
+https://wayland.freedesktop.org/releases/wayland-protocols-1.11.tar.xz.sig
+
diff --git a/deps/wayland-protocols/slack-desc b/deps/wayland-protocols/slack-desc
new file mode 100644
index 0000000..d2fd941
--- /dev/null
+++ b/deps/wayland-protocols/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wayland-protocols: wayland-protocols (specs of extended wayland protocols)
+wayland-protocols:
+wayland-protocols: wayland-protocols contains Wayland protocols that add functionality
+wayland-protocols: not available in the Wayland core protocol.
+wayland-protocols: Such protocols either add completely new functionality, or extend the
+wayland-protocols: functionality of some other protocol either in Wayland core, or
+wayland-protocols: some other protocol in wayland-protocols.
+wayland-protocols: Protocols may be 'stable', 'unstable' or 'deprecated'.
+wayland-protocols:
+wayland-protocols: Homepage: http://wayland.freedesktop.org/
+wayland-protocols:
diff --git a/deps/wayland-protocols/wayland-protocols.SlackBuild b/deps/wayland-protocols/wayland-protocols.SlackBuild
new file mode 100755
index 0000000..4a46746
--- /dev/null
+++ b/deps/wayland-protocols/wayland-protocols.SlackBuild
@@ -0,0 +1,137 @@
+#!/bin/sh
+# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PKGNAM=wayland-protocols
+VERSION=${VERSION:-1.11}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-static=no \
+ --build=$TARGET
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Strip binaries:
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Add a description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Create the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+